## RepeatRuleDateTime

Description

Wrap the DateTime class to make it friendlier to passing in random strings from iCalendar objects, and especially the random stuff used to identify timezones. We also add some utility methods and stuff too, in order to simplify some of the operations we need to do with dates.

Located in /inc/RRule-v2.php (line 78)

    DateTime
       |
       --RepeatRuleDateTime

Variable Summary
static mixed $Format
Method Summary
RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])
void AsDate ()
void day ()
void epoch ()
void hour ()
void minute ()
void modify ( $interval)
void month ()
void RFC5545 ()
void RFC5545Duration ( $end_stamp)
void second ()
void setDate ([ $year = null], [ $month = null], [ $day = null])
void setTimeZone ( $tz)
void UTC ()
void year ()
void __toString ()
Variables
static mixed $Format = 'c' (line 80)

- access: public

Methods
Constructor __construct (line 84)

- access: public

RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])

- $date
- $dtz

Redefinition of:

DateTime::constructor __construct ( [$time = ], [$object = ] )

AsDate (line 133)

- access: public

void AsDate ()
day (line 217)
void day ()
epoch (line 233)
void epoch ()
hour (line 221)
void hour ()
minute (line 225)
void minute ()
modify (line 138)

- access: public

void modify ( $interval)

- $interval

Redefinition of:

DateTime::modify ( $modify )

month (line 213)
void month ()
RFC5545 (line 168)

- access: public

void RFC5545 ()
RFC5545Duration (line 186)

- access: public

void RFC5545Duration ( $end_stamp)

- $end_stamp

second (line 229)
void second ()
setDate (line 201)
void setDate ([ $year = null], [ $month = null], [ $day = null])

- $year
- $month
- $day

Redefinition of:

DateTime::setDate ( $year, $month, $day )

setTimeZone (line 191)

- access: public

void setTimeZone ( $tz)

- $tz

Redefinition of:

DateTime::setTimezone ( $timezone )

UTC (line 156)

- access: public

void UTC ()
year (line 209)
void year ()
__toString (line 128)

- access: public

void __toString ()

#### Inherited Methods

Inherited From DateTime (Internal Class)

> constructor __construct ( [$time = ], [$object = ] )
> add ( $interval )
> createFromFormat ( $format, $time, [$object = ] )
> diff ( $object, [$absolute = ] )
> format ( $format )
> getLastErrors ( )
> getOffset ( )
> getTimestamp ( )
> getTimezone ( )
> modify ( $modify )
> setDate ( $year, $month, $day )
> setISODate ( $year, $week, [$day = ] )
> setTime ( $hour, $minute, [$second = ] )
> setTimestamp ( $unixtimestamp )
> setTimezone ( $timezone )
> sub ( $interval )
> __set_state ( )
> __wakeup ( )

Class Constants

#### Inherited Constants

Inherited from DateTime (Internal Class)

> ATOM = 'Y-m-d\\TH:i:sP'
> COOKIE = 'l, d-M-y H:i:s T'
> ISO8601 = 'Y-m-d\\TH:i:sO'
> RFC822 = 'D, d M y H:i:s O'
> RFC850 = 'l, d-M-y H:i:s T'
> RFC1036 = 'D, d M y H:i:s O'
> RFC1123 = 'D, d M Y H:i:s O'
> RFC2822 = 'D, d M Y H:i:s O'
> RFC3339 = 'Y-m-d\\TH:i:sP'
> RSS = 'D, d M Y H:i:s O'
> W3C = 'Y-m-d\\TH:i:sP'

Documentation generated on Sun, 26 Sep 2010 00:46:08 +1200 by phpDocumentor 1.4.3